import { Component } from 'react';
import {Button, Icon,message } from 'antd';
import VideoComponent from '@/crop/video';

class Video extends Component {
	constructor(props) {
		super(props);
		this.state = {
            fileList:{},
            videoUrl:[]
        }
    }
    
	render() {
		return (
			<div className="user-content">
				<div className="content-title">
					<span>视频管理</span>
				</div>
                < VideoComponent
                    fileList={(e)=>{this.setState({videoUrl:e})}}
                    dataUrl={{
                        url:'/api/user/demand/uploadPicture',
                        keyWord:'demand_picture',
                        type:'image',
                        page:1
                    }}
                    videoUrl={this.state.videoUrl}
                    visible={this.props.visible}
                />
			</div>
		)
	}
}

export default Video;
