import { message,Select  } from 'antd';
import React from 'react';
import $ from 'jquery/src/ajax';
import {
    patentTypeList,
    patentStateList,
    patentFieldList,
    technicalSourceList,
    catagoryList,
    intellectualGetList,
    conversionFormList,
    annualReportStateList,
    cognizanceStateList,
    technologyStateList,
    copyrightStateList,
    auditStatusList,
    scaleList,
    companyType,
    industryList,
    contractTypeList,
    contractStateList,
    demandTypeList,
    achievementCategoryList,
    techAuditStatusList,
    auditStatusLists,
    maturityList,
    transferModeList,
    innovationList,
    orderStatusList,
    activityForm,
    activityType,
    boutique,
    hot,
    statuslist,
    customerTyp,
    cityArr,
    customerStatus,
    intentionalService,
    newFollow,
    sex,
    tag,
    contactType,
    contact,
    intentionalServiceOn,
    newFollowOn,
    customerStatusOn,
    Whether,
    Certification,
    currentMember,
    lvl,
    industry,
    socialAttribute,
    station,
    post,
    patternOrganization,
    conditionOrganization,
    categoryState,
    auditStatusL,
    gameState,
    messageType,
    designated,
    featured,
    actives,
    intentProgress,
    transactionProgress,
    contractProgress,
    projectProgress,
    orderType, orderStage, orderState,paymentState, orderChannel, approvedState, lock,paymentMethod,transactionChannel,projectState,transactionProject,
    client,
    stick,
    taskStatus,
    publishStatus,
    changeState,
    distributeState,
    customerSource,
    releaseStateList,
    releasePosition,
    achievementPosition,
    achievementType,
    transaction,
    newsPosition,
    policyPosition,
    newType,
    adviserType,
    authState,
    typeModule,
    lowType,
    msgType,
    ziYuanType,
    couponAuthState,
    couponAuthStates,
    couponCome,
    videoType,
    videoStatus,
    videoPosition,
    specialType,
    productType,
    proStatus
} from './dataDic.js';

import { provinceList} from './NewDicProvinceList.js';

module.exports = {
    splitUrl: function (string, i, url) {
        let theList = [];
        let theArr = [];
        if (string && string.length) {
            theArr = string.split(i);
            theArr.map(function (item, i) {
                theList.push({
                    uid: -i-1,
                    url: url + item,
                    response: {
                        data: item
                    }
                });
            });
        }
        return theList;
    },
    getBase64: function (img, callback) {
        const reader = new FileReader();
        reader.addEventListener('load', () => callback(reader.result));
        reader.readAsDataURL(img);
    },
    beforeUpload: function (file) {
        const isLt2M = file.size / 1024 / 1024 < 2;
        if (!isLt2M) {
            message.error('图片小大必须小于2MB!');
        }
        return isLt2M;
    },
    beforeUploadFile: function (file) {
        // debugger
        // const isJPG = file.type === 'image/jpeg/document';
        // if (!isJPG) {
        //     message.error('You can only upload JPG file!');
        // }
        // const isLt2M = file.size / 1024 / 1024 < 2;
        // if (!isLt2M) {
        //     message.error('Image must smaller than 2MB!');
        // }
        // return isJPG && isLt2M;
    },
    getTime: function (e, t) {
        if (e && !t) {
            var d = new Date(e);
            d = d.getFullYear() + "-" +
                ((d.getMonth() + 1) < 10 ? '0' + (d.getMonth() + 1) : (d.getMonth() + 1)) + "-" +
                (d.getDate() < 10 ? '0' + d.getDate() : d.getDate()) + " ";
            // + (d.getHours() < 10 ? "0" + d.getHours() : d.getHours()) + ":" +
            // (d.getMinutes() < 10 ? "0" + d.getMinutes() : d.getMinutes()) + ":" +
            // (d.getSeconds() < 10 ? "0" + d.getSeconds() : d.getSeconds());
            return d;
        } else if (e && t) {
            var d1 = new Date(e);
            var d2 = new Date(e);
            d2 = d2.setMonth(d1.getMonth() + t);
            d2 = new Date(d2)
            d2 = d2.getFullYear() + "-" +
                ((d2.getMonth() + 1) < 10 ? '0' + (d2.getMonth() + 1) : (d2.getMonth() + 1)) + "-" +
                (d2.getDate() < 10 ? '0' + d2.getDate() : d2.getDate()) + " ";
                return d2;
        } else {
            return '';
        }
    },
    getPatentType: function (e) {
        if (e) {
            let theType = '';
            patentTypeList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    getPatentState: function (e) {
        if (e) {
            let theState = '';
            patentStateList.map(function (item) {
                if (item.value == e) {
                    theState = item.key;
                };
            });
            return theState;
        }
    },
    getPatentField: function (e) {
        if (e) {
            let theState = '';
            patentFieldList.map(function (item) {
                if (item.value == e) {
                    theState = item.key;
                };
            });
            return theState;
        }
    },
    getTechnicalSource: function (e) {
        if (e) {
            let theSource = '';
            technicalSourceList.map(function (item) {
                if (item.value == e) {
                    theSource = item.key;
                };
            });
            return theSource;
        }
    },
    getCatagory: function (e) {
        if (e) {
            let theType = '';
            catagoryList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    getIntellectualObtainWay: function (e) {
        if (e) {
            let theType = '';
            intellectualGetList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    getConversionForm: function (e) {
        if (e) {
            let theType = '';
            conversionFormList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    getAnnualReportState: function (e) {
        if (e) {
            let theType = '';
            annualReportStateList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    getCognizanceState: function (e) {
        if (e) {
            let theType = '';
            cognizanceStateList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    getTechnologyState: function (e) {
        if (e) {
            let theType = '';
            technologyStateList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //显示用户认证状态
    getAuditState: function (e) {
        if (e) {
            let theType = '';
            auditStatusList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    getCopyrightState: function (e) {
        if (e) {
            let theType = '';
            copyrightStateList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    downloadFile: function (path, fileName) {
        window.open(globalConfig.context + '/open/downloadFile?path=' + path + '&fileName=' + fileName)
    },
    techDownloadFile: function (url, id) {
        window.open(globalConfig.context + url + '?id=' + id)
    },
    copyrightDownloadFile: function (id, sign, url) {
        window.open(globalConfig.context + url + '?id=' + id + '&sign=' + sign)
    },
    newDownloadFile: function (id, sign, url,type) {
        if (!type ) {
            window.open(globalConfig.context + url + '?id=' + id + '&sign=' + sign);
        };
        if ( type ) {
            window.open(globalConfig.context + url + '?id=' + id + '&sign=' + sign + '&type=' + type);
        };
    },
    companySearch(input, option) {
        return option.props.children.indexOf(input) >= 0
    },
    getVacations(ccccc){
        let now = new Date();
        let theYear = now.getFullYear();
        $.ajax({
            type: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + '/open/html/json/vacations' + theYear,
            success: (data)=>{
                if (data) {
                   ccccc(data);
                };
            }
        });
    },
    getInUrgentTime(date, inUrgent,vocations) {
        if ( vocations && vocations.length ){
            let now = new Date(date),addNum = 0;
            for (var i = 1; i <= inUrgent;) {
                now.setDate(now.getDate() + 1);
                let thebool = true;
                vocations.map((item)=>{
                    if ( item == getKey(now)) {
                        thebool= false;
                    }
                });
                if ( thebool ) {
                    i++
                };
            };
            return now;
        };
        function getKey(date) {
            var year = date.getFullYear(),
                month = date.getMonth() + 1,
                day = date.getDate();
            year = "" + year;
            month = (month > 9 ? "" : "0") + month;
            day = (day > 9 ? "" : "0") + day;
            return year + month + day;
        }
    },

    //各种通过接口获取下拉列表

    setPatentStateOption(permission) {
        let theArr = [];
        patentStateList.map(function (item) {
            for (let i = 0; i < permission.length; i++) {
                if (item.value == permission[i]) {
                    theArr.push(item);
                };
            };
        });
        return theArr;
    },
    setUserContactsList(){
        let theOption = [];
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + '/api/user/getContacts',
            success: function (data) {
                if (!data.data) {
                    if ( data.error && data.error.length ) {
                        message.warning(data.error[0].message);
                    };
                    return;
                };
                for (let item in data.data) {
                    let theData = data.data[item];
                    theOption.push(
                        <Select.Option value={item} key={theData}>{theData}</Select.Option>
                    );
                };
            }
        });
        return theOption;
    },
    setAdminContactsList(uid){
        let theOption = [];
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + '/api/admin/getContacts',
            data:{ "uid": uid },
            success: function (data) {
                if (!data.data) {
                    if ( data.error && data.error.length ) {
                        message.warning(data.error[0].message);
                    };
                    return;
                };
                for (let item in data.data) {
                    let theData = data.data[item];
                    theOption.push(
                        <Select.Option value={item} key={theData}>{theData}</Select.Option>
                    );
                };
            }
        });
        return theOption;
    },
    //高企培育资料完成情况(比重)
    getProportion(uid,callback){
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + '/api/admin/proportion',
            data:{ "uid": uid },
            success: function (data) {
                if (!data.data) {
                    if ( data.error && data.error.length ) {
                        message.warning(data.error[0].message);
                    };
                    data.data = {}
                    callback(data.data);
                };
                callback(data.data);
            }
        });
    },
    //保存高企培育资料完成情况
    saveProportion(id,uid,sign,status){
        $.ajax({
            method: "post",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + '/api/admin/confirmProportion',
            data:{ 
                "id": id,
                "uid":uid,
                "sign":sign,
                "status":status
            },
            success: function (data) {
                if (!data.data) {
                    if ( data.error && data.error.length ) {
                        message.warning(data.error[0].message);
                    };
                    return;
                };
            }
        });
    },
    //获取window.location.search传的值
    getSearchUrl(e){
        let searchURL = e;
        let theObj = {};
        searchURL = searchURL.substring(1, searchURL.length);
        theObj[searchURL.split("&")[0].split("=")[0]] = searchURL.split("&")[0].split("=")[1];        
        if ( searchURL.split("&")[1] ) {
            theObj[searchURL.split("&")[1].split("=")[0]] = searchURL.split("&")[1].split("=")[1];
            if ( searchURL.split("&")[2] ) {
                theObj[searchURL.split("&")[2].split("=")[0]] = searchURL.split("&")[2].split("=")[1];
            };
        };
        return theObj;
    },
    //预览接口
    getPreview(id,url,sign,callback){
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + "/api/admin/preview/" + url,
            data:{
                "id": id,
                "sign": sign
                },
            success: function (data) {
                if (!data.data) {
                    if ( data.error && data.error.length ) {
                        message.warning(data.error[0].message);
                    };
                };
                callback('https://view.officeapps.live.com/op/view.aspx?src=' + encodeURIComponent(location.origin + globalConfig.context + "/open/preview?" + data.data));
            }
        });
    },
    //获取企业规模
    getScaleState(e) {
        if (e) {
            let theType = '';
            scaleList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //获取企业类型
    getCompanyType(type1, type2) {
        let companyTypeList = [];
        for (let i = 0; i < companyType.length; i++) {
            companyTypeList.push({
                value: companyType[i].value,
                label: companyType[i].label
            });
            if (companyType[i].children) {
                for (let j = 0; j < companyType[i].children.length; j++) {
                    companyTypeList.push({
                        value: companyType[i].children[j].value,
                        label: companyType[i].children[j].label
                    });
                };
            }
        };
        companyTypeList.sort(function (a, b) {
            return a.value - b.value
        });
        let typeKey = "";
        companyTypeList.map(function (item) {
            if (type1 == item.value) {
                typeKey = item.label;
            };
            if (type2 == item.value) {
                typeKey = typeKey + "/" + item.label;
            };
        });
        return typeKey;
    },
    //获取企业行业
    getIndustryType(e) {
        if (e) {
            let theType = '';
            industryList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //获取合同状态
    getContractType: function (e) {
        if (e) {
            let theType = '';
            contractTypeList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //获取合同类型
    getContractState: function (e) {
        if (e) {
            let theType = '';
            contractStateList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //获取需求类型
    getDemandType: function (e) {
        if (e||e==0) {
            let str=e.toString()
            let theType = '';
            demandTypeList.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //获取成果类型
    getAchievementCategory: function (e) {
        if (e||e=='0') {
            let theType = '';
            achievementCategoryList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //获取需求和成果审核状态
    getTechAuditStatus: function (e) {
        if (e) {
            let theType = '';
            techAuditStatusList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //获取政策审核状态
    getauditStatus: function (e) {
        if (e||e>=0) {
        	let tt=e.toString()
            let theType = '';
            auditStatusLists.map(function (item) {
                if (item.value == tt) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //获取需求和成果审核状态
    getMaturity: function (e) {
        if (e) {
            let theType = '';
            maturityList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //获取需求和成果审核状态
    getTransferMode: function (e) {
        if (e) {
            let theType = '';
            transferModeList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //获取创新度状态
    getInnovation: function (e) {
        if (e||e=='0') {
            let theType = '';
            innovationList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //获取创新度状态
    getOrderStatus: function (e) {
        if (e) {
            let theType = '';
            orderStatusList.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //科技管理
    //活动圈后台管理
    getActivityType: function (e) {
        if (e) {
            let theType = '';
            activityType.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    getActivityForm: function (e) {
        if (e) {
            let theType = '';
            activityForm.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //是否展示在首页
    gethot: function (e) {
         if (e) {        	
            let theType = '';
            hot.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //是否精品
     getboutique: function (e) {
         if (e) {
            let theType = '';
            boutique.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    
	//客户类型
	 getcustomerTyp: function (e) {
         if (e) {
            let theType = '';
            customerTyp.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
	//省份
	getcityArr: function (e) {
         if (e) {
            let theType = '';
            cityArr.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                }
            });
            return theType;
        }
    },
    //客户状态
	getcustomerStatue: function (e) {
         if (e||e==0) {
            let theType = '';
            customerStatus.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
     //账户状态
	getStatuslist: function (e) {
         if (e) {
            let theType = '';
            statuslist.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
   
    //意向服务
	getCompanyIntention: function (e) {
         if (e) {
            let theType = '';
            intentionalService.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
   },
    //客户标签
    getTag: function (e) {
         if (e) {
            let theType = '';
            tag.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
     //最新跟进
	getfllowSituation: function (e) {
         if (e||e==0) {
            let theType = '';
            newFollow.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
   
     //性别
	getsex: function (e) {
         if (e) {
            let theType = '';
            sex.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
     //联系方式
	getcontact: function (e) {
         if (e) {
            let theType = '';
            contact.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    
    //是否文字与数字转换
     getWhether: function (e) {
         if (e) {
            let theType = '';
            Whether.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //是否实名认证
     getCertification: function (e) {
         if (e) {
            let theType = '';
            Certification.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //会员状态
    getCurrentMember: function (e) {
         if (e) {
            let theType = '';
            currentMember.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
     //会员等级
    getLvl: function (e) {
         if (e) {
            let theType = '';
            lvl.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //省份转换
    getprovince:function(e){
    	let nub=parseInt(e);
    	let theType = '';
    	if (nub<=34) {
            provinceList.map(function (item) {
                if (item.id == nub) {
                    theType = item.name;
                };
                
            });
        }
    	if(nub>34&&nub<380){
        	provinceList.map(function (item) {
        		item.cityList.map(function (city) {
	                if (city.id == nub) {
                      theType = city.name;
                   };
	             });
           });
          
        }
        if(nub>=380){
        	provinceList.map(function (item) {
        		item.cityList.map(function (city) {
        			city.areaList.map(function (areas) {
		               if (areas.id == nub) {
                   		   theType = areas.name;
              			}; 
		            });
          		});	
	        })
        }
        return theType;
    },
   //我的业务跟进状态
   getStatusFollow:function(e){
   		let theType = '';
   		if(e){
   			theType ='跟进中'	;
   		}else{
   			theType ='停止跟进';
   		}
   		return theType;
   },
   //我的业务跟进状态
   getContactType:function(e){
   		 if (e) {
            let theType = '';
            contactType.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    
	},
	//社会属性
   getSocialAttribute:function(e){
   		 if (e) {
            let theType = '';
            socialAttribute.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    
	},
	//行业
   getIndustry:function(e){
   		 if (e) {
            let theType = '';
            industry.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    
	},
	//岗位
	getStation:function(e){
   		 if (e) {
            let theType = '';
            station.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    
	},
	//职务
	getPost:function(e){
   		 if (e) {
            let theType = '';
            post.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
       }
	},
	//组织类型
	getPattern:function(e){
   		 if (e) {
            let theType = '';
            patternOrganization.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
       }
	},
	//组织状态
	getCondition:function(e){
   		 if (e) {
            let theType = '';
            conditionOrganization.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
       }
	},
	//品类状态
	getCategoryState:function(e){
   		 if (e) {
            let theType = '';
            categoryState.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
       }
	},
	//实名认证 
	 getAuditStatus:function(index){
	 	let e=index?index.toString():'';
   		 if (e) {
            let theType = '';
            auditStatusL.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    
	},
	//品类状态
	 getGameState:function(index){
   		 if (index||index==0) {
            let theType = '';
            gameState.map(function (item) {
                if (item.value == index) {
                    theType = item.key;
                };
            });
            return theType;
        }
    
	},
	//消息类型
	 getMessageType:function(index){
        if (index||index==0) {
            let theType = '';
            gameState.map(function (item) {
                if (item.value == index) {
                    theType = item.key;
                };
            });
            return theType;
        }
    
	},
	//发送目标
	getDesignated:function(index){
	 	let e=index?index.toString():'';
   		 if (e) {
            let theType = '';
            designated.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //客户端
	getClient:function(index){
	 	let e=index?index.toString():'';
   		 if (e) {
            let theType = '';
            client.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //是否置顶
	getStick:function(index){
	 	let e=index?index.toString():'';
   		 if (e) {
            let theType = '';
            stick.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
	getFeatured:function(index){
	 	let e=index?index.toString():'';
   		 if (e) {
            let theType = '';
            featured.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    
	},
	getActives:function(e){
   		 if (e) {
            let theType = '';
            actives.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    
	}, 
	//意向进度
	getIntentProgress:function(e){
   		if (e) {
            let theType = '';
            intentProgress.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//交易进度
	getTransactionProgress:function(e){
   		if (e) {
            let theType = '';
            transactionProgress.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//合同进度
	getContractProgress:function(e){
   		if (e) {
            let theType = '';
            contractProgress.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//项目进度
	getProjectProgress:function(e){
   		if (e) {
            let theType = '';
            projectProgress.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//订单类型
	getOrderType:function(e){
   		if (e||e==0) {
   			let str=e.toString()
            let theType = '';
            orderType.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//订单阶段
	getOrderStage:function(e){
   		if (e||e==0) {
   			let str=e.toString()
            let theType = '';
            orderStage.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//订单状态o
	getOrderState:function(e){
   		if (e||e==0) {
   			let str=e.toString()
            let theType = '';
            orderState.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//付款状态
	getPaymentState:function(e){
   		if (e||e==0) {
   			let str=e.toString()
            let theType = '';
            paymentState.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//订单渠道
	getOrderChannel:function(e){
   		if (e||e==0) {
   			let str=e.toString()
            let theType = '';
            orderChannel.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//特批状态
	getApprovedState:function(e){
   		if (e||e==0) {
   			let str=e.toString()
            let theType = '';
            approvedState.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//锁定或废除
	getLock:function(e){
   		if (e||e==0) {
   			let str=e.toString()
            let theType = '';
            lock.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//支付方式
	getPaymentMethod:function(e){
   		if (e||e==0) {
   			let str=e.toString()
            let theType = '';
            paymentMethod.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//交易渠道  transactionProject
	getTransactionChannel:function(e){
   		if (e||e==0) {
   			let str=e.toString()
            let theType = '';
            transactionChannel.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//交易科目  
	getTransactionProject:function(e){
   		if (e||e==0) {
   			let str=e.toString()
            let theType = '';
            transactionProject.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//项目状态
	getProjectState:function(e){
   		if (e||e==0) {
   			let str=e.toString()
            let theType = '';
            projectState.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//任务状态
	getTaskStatus:function(e){
   		if (e||e==0) {
   			let str=e.toString()
            let theType = '';
            taskStatus.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//公示状态
	getPublishStatus:function(e){
   		if (e||e==0) {
   			let str=e.toString()
            let theType = '';
            publishStatus.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//变更状态
	getChangeState:function(e){
   		if (e||e==0) {
   			let str=e.toString()
            let theType = '';
            changeState.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//分派情况
	getDistributeState:function(e){
   		if (e||e==0) {
   			let str=e.toString()
            let theType = '';
            distributeState.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
	},
	//客户来源
	getCustomerSource:function(e){
   		if (e||e==0) {
   			let str=e.toString()
            let theType = '';
            customerSource.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    /* g个人中心开发 */
    //发布状态
    getReleaseStateList:function(e){
        if (e||e==0) {
            let str=e.toString()
         let theType = '';
         releaseStateList.map(function (item) {
             if (item.value == str) {
                 theType = item.key;
             };
         });
         return theType;
        }
     },
     //需求发布位置；
     getReleasePositionList:function(e=[]){
        if (e) {
            let theType = [];
            e.map((item)=>{
                releasePosition.map(function (atem) {
                    if (atem.value == item) {
                        theType.push(atem.key);
                    };
                });
            })
         return theType.join(' - ');
        }
     },
     //政策发布位置
     getPolicyPosition:function(e=[]){
        if (e) {
            let theType = [];
            e.map((item)=>{
                policyPosition.map(function (atem) {
                    if (atem.value == item) {
                        theType.push(atem.key);
                    };
                });
            })
         return theType.join(' - ');
        }
     },
     //成果发布位置；
     getAchievementPosition:function(e=[]){
        if (e) {
            let theType = [];
            e.map((item)=>{
                achievementPosition.map(function (atem) {
                    if (atem.value == item) {
                        theType.push(atem.key);
                    };
                });
            })
         return theType.join(' - ');
        }
     },
     //新闻发布位置
     getNewPosition:function(e=[]){
        if (e) {
            let theType = [];
            e.map((item)=>{
                newsPosition.map(function (atem) {
                    if (atem.value == item) {
                        theType.push(atem.key);
                    };
                });
            })
         return theType.join(' - ');
        }
     },
     //成果类型；
     getAchievementType:function(e){
        if (e||e==0) {
            let str=e.toString();
            let theType = '';
            achievementType.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
     },
     //成果交易形式；
    getTransaction:function(e){
        if (e||e==0) {
            let str=e.toString();
            let theType = '';
            transaction.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
     },
     //新闻类型
     getNewType:function(e){
        if (e||e==0) {
            let str=e.toString();
            let theType = '';
            newType.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
     },
     //顾问类型
     getAdviserType:function(e){
        if (e||e==0) {
            let str=e.toString();
            let theType = '';
            adviserType.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
     },
     //认证状态
     getAuthState:function(e){
        if (e||e==0) {
            let str=e.toString();
            let theType = '';
            authState.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
     },
      //认证状态
      getTypeModule:function(e){
        if (e||e==0) {
            let str=e.toString();
            let theType = '';
            typeModule.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
     },
     //律师类型
     getLowType:function(e){
        if (e||e==0) {
            let str=e.toString();
            let theType = '';
            lowType.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
     },
      //消息推送搜索类型转换ziYuanType
      getMsgType:function(e){
        if (e) {
            let str=e.toString();
            let theType = '';
            msgType.map(function (item) {
                if (item.value == str) {
                    theType = item.key;
                };
            });
            return theType;
        }
     },
      //消息推送搜索类型转换数字couponAuthState
      getZiYuanType:function(e){
        if (e) {
            let str=e.toString();
            let theType = '';
            ziYuanType.map(function (item) {
                if (item.key == str) {
                    theType = item.value;
                };
            });
            return theType;
        }
     },
     //抵用券状态
      getCouponAuthState:function(e){
        if (e) {
            let str=e.toString();
            let theType = '';
            couponAuthState.map(function (item) {
                if (item.key == str) {
                    theType = item.value;
                };
            });
            return theType;
        }
     },
     //抵用券来源
//    getCouponCome:function(e){
//      if (e) {
//          let str=e.toString();
//          let theType = '';
//          couponCome.map(function (item) {
//              if (item.key == str) {
//                  theType = item.value;
//              };
//          });
//          return theType;
//      }
//   }
      //抵用券来源
      getCouponCome: function (e) {
        if (e||e=='0') {
            let theType = '';
            couponCome.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //抵用券状态
      getCouponAuthState: function (e) {
        if (e||e=='0') {
            let theType = '';
            couponAuthState.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //抵用券状态
      getCouponAuthStates: function (e) {
        if (e||e=='0') {
            let theType = '';
            couponAuthStates.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //视频类型
    getVideoType: function (e) {
        if (e||e=='0') {
            let theType = '';
            videoType.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //视频状态
    getVideoStatus: function (e) {
        if (e||e=='0') {
            let theType = '';
            videoStatus.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //视频状态
    getVideoPosition: function (e) {
        if (e||e=='0') {
            let theType = '';
            videoPosition.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
     //专栏状态
     getSpecialType: function (e) {
        if (e||e=='0') {
            let theType = '';
            specialType.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
     //产品状态
     getProductType: function (e) {
        if (e||e=='0') {
            let theType = '';
            productType.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
    //产品发布状态
    getProStatus: function (e) {
        if (e||e=='0') {
            let theType = '';
            proStatus.map(function (item) {
                if (item.value == e) {
                    theType = item.key;
                };
            });
            return theType;
        }
    },
}